call set_cmake_vars

:: Start with bootstrap
call bootstrap.bat
if errorlevel 1 exit 1

:: Build step
@setlocal EnableDelayedExpansion
set ZLIB_BINARY=alt-zlib
for %%B in (debug release) DO (
 if %%B == debug (
    set ZLIB_BINARY=%ZLIB_BINARY%d
  )
  .\b2 install ^
      --build-dir=buildboost ^
      --prefix=%LIBRARY_PREFIX% ^
      toolset=msvc-%VS_MAJOR%.0 ^
      address-model=%ARCH% ^
      variant=%%B ^
      runtime-link=shared ^
      threading=multi ^
      link=shared ^
      -j%CPU_COUNT% ^
      -s ZLIB_INCLUDE="%LIBRARY_INC%" ^
      -s ZLIB_LIBPATH="%LIBRARY_LIB%" ^
      -s ZLIB_BINARY=!ZLIB_BINARY!
  if errorlevel 1 exit 1
)
@endlocal

:: Get the major minor version info (e.g. `1_61`)
python -c "import os; print('_'.join(os.environ['PKG_VERSION'].split('.')[:2]))" > temp.txt
set /p MAJ_MIN_VER=<temp.txt

:: Install fix-up for a non version-specific boost include
:: move %LIBRARY_INC%\boost-%MAJ_MIN_VER%\boost %LIBRARY_INC%
:: if errorlevel 1 exit 1

:: Move dll's to LIBRARY_BIN
move %LIBRARY_LIB%\*vc%VS_MAJOR%0-mt-%MAJ_MIN_VER%.dll "%LIBRARY_BIN%"
move %LIBRARY_LIB%\*vc%VS_MAJOR%0-mt-gd-%MAJ_MIN_VER%.dll "%LIBRARY_BIN%"
if errorlevel 1 exit 1

:: Copy FindBoost.cmake resource file to Library\cmake
call copy_find_module Boost
